Get the list of devices - paginated.
curl --request GET \
--url https://cloud.bytebeam.io/api/v1/devices \
--header 'x-bytebeam-api-key: <api-key>' \
--header 'x-bytebeam-tenant: <api-key>'import requests
url = "https://cloud.bytebeam.io/api/v1/devices"
headers = {
"x-bytebeam-api-key": "<api-key>",
"x-bytebeam-tenant": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bytebeam-api-key': '<api-key>', 'x-bytebeam-tenant': '<api-key>'}
};
fetch('https://cloud.bytebeam.io/api/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"metadata": {},
"state": {},
"action": {},
"-serial_metadata": {}
}
]devices
Get the list of devices - paginated.
GET
/
api
/
v1
/
devices
Get the list of devices - paginated.
Authorizations
API key required to authenticate requests.
Tenant(Project) name required to identify the project.
Query Parameters
Available options:
all, inactive, active Available options:
desc, asc ⌘I